class Library.Transition extends Library.State
{
   var oListener;
   var mcRef;
   static var TRANSITION_SCREEN_COVERED = 1;
   static var TRANSITION_COMPLETE = 2;
   function Transition(__mcRef)
   {
      super(__mcRef);
      this.setState("Hidden");
   }
   function doStart()
   {
      this.setState("In");
   }
   function doDestroy()
   {
   }
   function doIn()
   {
      if(this.isStateComplete())
      {
         this.oListener.onTransitionEvent(Library.Transition.TRANSITION_SCREEN_COVERED,this);
         this.setState("Out");
      }
   }
   function doOut()
   {
      if(this.isStateComplete())
      {
         this.oListener.onTransitionEvent(Library.Transition.TRANSITION_COMPLETE,this);
         this.setState("Hidden");
      }
   }
   function set Listener(_o)
   {
      this.oListener = _o;
   }
   function doLoadStateAction()
   {
      this.mcRef.mcState.btnBlock.useHandCursor = false;
   }
}
