class NickHS
{
   var bHSAvailable;
   var G_TestHighScore;
   var bSubmitHS;
   var bGetHS;
   var G_GameID;
   var mcHSZone;
   var G_NoTxtField;
   var G_NameTxtField;
   var G_ScoreTxtField;
   static var oNickHS;
   function NickHS()
   {
      this.bHSAvailable = true;
      this.G_TestHighScore = false;
      this.bSubmitHS = false;
      this.bGetHS = false;
      this.G_GameID = "tak_stone";
      this.mcHSZone = undefined;
      this.initHiScores();
      if(this.G_TestHighScore == true)
      {
         _global.gProxyObj.setServer("www.nick.com");
         _global.gProxyObj.setScreenName("sbkRR2.0");
         _global.gProxyObj.setIsLoggedIn(true);
      }
      NickHS.oNickHS = this;
   }
   function doHSInit()
   {
      this.initHiScores();
   }
   function doSubmitHS()
   {
      this.bSubmitHS = true;
   }
   function doViewHS()
   {
      this.bGetHS = true;
   }
   function setHSBoard(_mcRef)
   {
      this.mcHSZone = _mcRef;
      this.G_NoTxtField = this.mcHSZone.txtHSNumber;
      this.G_NameTxtField = this.mcHSZone.txtHSName;
      this.G_ScoreTxtField = this.mcHSZone.txtHSScore;
   }
   static function get Instance()
   {
      return NickHS.oNickHS;
   }
   function getIsLoggedIn()
   {
      var _loc2_ = false;
      if(_global.gProxyObj != undefined)
      {
         _loc2_ = _global.gProxyObj.getIsLoggedIn();
      }
      return _loc2_;
   }
   function getScores()
   {
      if(_global.gProxyObj == undefined)
      {
         this.listScores();
      }
      else
      {
         _global.gProxyObj.getScores(this.cbFunc2);
      }
   }
   function submitScore(theScore)
   {
      this.G_NoTxtField.text = "";
      this.G_NameTxtField.text = "The high score list is updating!";
      this.G_ScoreTxtField.text = "";
      _global.gProxyObj.submitScore(theScore,this.cbFunc);
   }
   function initHiScores()
   {
      _global.gProxyObj.setGame_Id(this.G_GameID);
   }
   function getScoreString()
   {
      var _loc11_ = "Oops! The high score list is not available right now!";
      if(_global.gProxyObj != undefined)
      {
         var _loc7_ = _global.gProxyObj.getScoreCount();
         if(_loc7_ > 0)
         {
            var _loc3_ = undefined;
            var _loc4_ = undefined;
            var _loc5_ = undefined;
            var _loc6_ = undefined;
            _loc11_ = "";
            var _loc10_ = "";
            var _loc9_ = "";
            var _loc8_ = "";
            _loc3_ = 0;
            while(_loc3_ < _loc7_)
            {
               _loc4_ = _global.gProxyObj.getScoreItem(_loc3_);
               _loc5_ = _loc4_[0];
               _loc6_ = Library.Utils.Tools.returnFormatedNumber(_loc4_[1]);
               _loc10_ += _loc3_ + 1 + "\n";
               _loc9_ += _loc5_ + "\n";
               _loc8_ += _loc6_ + " pts" + "\n";
               _loc3_ = _loc3_ + 1;
            }
            this.G_NoTxtField.text = _loc10_;
            this.G_NameTxtField.text = _loc9_;
            this.G_ScoreTxtField.text = _loc8_;
         }
         else
         {
            this.G_NameTxtField.text = "Oops! The high score list is not available right now!";
         }
      }
      else
      {
         this.G_NameTxtField.text = "Oops! The high score list is not available right now!";
      }
      return _loc11_;
   }
   function listScores()
   {
      this.getScoreString();
   }
   function cbFunc(thisBool)
   {
      if(thisBool)
      {
         NickHS.Instance.listScores();
      }
      else
      {
         NickHS.Instance.G_NameTxtField.text = "Oops! The high score list is not available right now!";
      }
   }
   function cbFunc2(thisBool)
   {
      if(thisBool)
      {
         NickHS.Instance.listScores();
      }
      else
      {
         NickHS.Instance.G_NameTxtField.text = "Oops! The high score list is not available right now!";
      }
   }
}
