class PlayerStatus
{
   var aStoryLevels;
   var aUserLevels;
   static var MAX_USER_LEVELS = 9;
   static var SAVE_SO_NAME = "Nick_Tak_Save";
   function PlayerStatus()
   {
      this.doGenerateNewLevels();
   }
   function getLevelData(__nLevelType, __nLevelNum)
   {
      var _loc4_ = undefined;
      if(__nLevelType == BaseLevelData.LEVEL_TYPE_STORY)
      {
         var _loc2_ = 0;
         while(_loc2_ <= this.aStoryLevels.length - 1)
         {
            var _loc3_ = this.aStoryLevels[_loc2_];
            if(_loc3_.LevelNumber == __nLevelNum)
            {
               _loc4_ = _loc3_;
               _loc2_ = this.aStoryLevels.length;
            }
            _loc2_ = _loc2_ + 1;
         }
      }
      else if(__nLevelType == BaseLevelData.LEVEL_TYPE_USER)
      {
         _loc2_ = 0;
         while(_loc2_ <= this.aUserLevels.length - 1)
         {
            _loc3_ = this.aUserLevels[_loc2_];
            if(_loc3_.LevelNumber == __nLevelNum)
            {
               _loc4_ = _loc3_;
               _loc2_ = this.aUserLevels.length;
            }
            _loc2_ = _loc2_ + 1;
         }
      }
      return _loc4_;
   }
   function getLevelQuantity(__nLevelType)
   {
      var _loc2_ = 0;
      if(__nLevelType == BaseLevelData.LEVEL_TYPE_STORY)
      {
         _loc2_ = this.aStoryLevels.length;
      }
      else if(__nLevelType == BaseLevelData.LEVEL_TYPE_USER)
      {
         _loc2_ = this.aUserLevels.length;
      }
      return _loc2_;
   }
   function doDeleteUserLevel(__oLevel)
   {
      for(var _loc3_ in this.aUserLevels)
      {
         var _loc2_ = this.aUserLevels[_loc3_];
         if(_loc2_ == __oLevel)
         {
            _loc2_.doDeleteFromSave();
            this.aUserLevels.splice(Number(_loc3_),1);
         }
      }
   }
   function doAddUserLevel(__oLevel)
   {
      this.aUserLevels.push(__oLevel);
   }
   function doDestroy()
   {
      this.aStoryLevels = new Array();
      this.aUserLevels = new Array();
      delete this.aStoryLevels;
      delete this.aUserLevels;
   }
   function doGenerateNewLevels()
   {
      this.aStoryLevels = new Array();
      this.aStoryLevels.push(new StoryLevels.StoryLevel_01());
      this.aStoryLevels.push(new StoryLevels.StoryLevel_02());
      this.aStoryLevels.push(new StoryLevels.StoryLevel_03());
      this.aStoryLevels.push(new StoryLevels.StoryLevel_04());
      for(var _loc2_ in this.aStoryLevels)
      {
         this.aStoryLevels[_loc2_].onInit();
      }
      this.doFetchUserLevels();
   }
   function doFetchUserLevels()
   {
      this.aUserLevels = new Array();
      var _loc6_ = SharedObject.getLocal(PlayerStatus.SAVE_SO_NAME);
      var _loc5_ = 1;
      while(_loc5_ <= PlayerStatus.MAX_USER_LEVELS)
      {
         var _loc3_ = _loc6_.data["LevelType" + BaseLevelData.LEVEL_TYPE_USER + "_LevelNumber" + _loc5_];
         if(_loc3_ != undefined)
         {
            var _loc2_ = new BaseLevelData();
            _loc2_.LevelNumber = _loc3_.nLevelNumber;
            _loc2_.LevelName = _loc3_.sLevelName;
            _loc2_.LevelType = BaseLevelData.LEVEL_TYPE_USER;
            _loc2_.RequiredMS = _loc3_.nRequiredMS;
            _loc2_.TimeAllowed = _loc3_.nTimeAllowed;
            _loc2_.sPanelBg1 = "Amb_LE_mcBgPanel1";
            _loc2_.aPanelBg2.push("Amb_LE_mcBgPanel2_A");
            _loc2_.aPanelBg2.push("Amb_LE_mcBgPanel2_B");
            _loc2_.aPanelBg2.push("Amb_LE_mcBgPanel2_C");
            _loc2_.nFloorHeight = 345;
            _loc2_.sPanelStart = "Amb_LE_mcGamePanel_Start";
            _loc2_.sPanelEnd = "Amb_LE_mcGamePanel_End";
            var _loc4_ = 0;
            while(_loc4_ <= _loc3_.aPanels.length - 1)
            {
               _loc2_.Panels.push(_loc3_.aPanels[_loc4_]);
               _loc4_ = _loc4_ + 1;
            }
            this.doAddUserLevel(_loc2_);
            _loc2_.onInit();
         }
         _loc5_ = _loc5_ + 1;
      }
      false;
   }
}
