class SideScroller.NegativeGround
{
   var mcRef;
   var oParentObject;
   var nGroundPos;
   var nMinX;
   var nMaxX;
   static var DEFAULT_NEGATIVE_GROUND_POSITION = 600;
   function NegativeGround(__mcRef, __oParentObject, __nGroundPos)
   {
      this.mcRef = __mcRef;
      this.oParentObject = __oParentObject;
      if(__nGroundPos != undefined)
      {
         this.nGroundPos = __nGroundPos;
      }
      else
      {
         this.nGroundPos = SideScroller.NegativeGround.DEFAULT_NEGATIVE_GROUND_POSITION;
      }
      this.mcRef._visible = false;
      var _loc2_ = this.mcRef.getBounds(this.oParentObject.ParentLayer.Ref);
      this.nMinX = _loc2_.xMin;
      this.nMaxX = _loc2_.xMax;
   }
   function getGroundAt()
   {
      return this.nGroundPos;
   }
   function doDestroy()
   {
      delete this.oParentObject;
   }
   function get StartPos()
   {
      return this.nMinX;
   }
   function get EndPos()
   {
      return this.nMaxX;
   }
}
